cd ../../src

# banking adapter
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py cuda_devices=[1] seeds=[23419,705525,4837,10671619,1084218,42] script=run_glue.py args='ue\=mc do_ue_estimate\=False ue.reg_type\=metric ue.use_selective\=False ue.calibrate\=False +ue.use_spectralnorm\=False data.validation_subsample\=0.0 training\=electra_base training.num_train_epochs\=11 training.learning_rate\=0.0001 training.per_device_train_batch_size\=32 +training.weight_decay\=0.1 +ue.margin\=0.1 +ue.lamb_intra\=0.01 ue.lamb\=1.0 +ue.use_paper_version\=True +adapters.name\=bottleneck_adapter +adapters.args._target_\=adapters.BnConfig +adapters.args.mh_adapter\=True +adapters.args.output_adapter\=True +adapters.args.reduction_factor\=16 +adapters.args.non_linearity\=relu' task_configs=banking77.yaml output_dir=../workdir/run_train_models_electra_btlnk_BANKING/electra_metric_no_sn/banking/0.0

# banking full
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py cuda_devices=[0] seeds=[23419,705525,4837,10671619,1084218,42] script=run_glue.py args='ue\=mc do_ue_estimate\=False ue.reg_type\=metric ue.use_selective\=False ue.calibrate\=False +ue.use_spectralnorm\=False data.validation_subsample\=0.0 training\=electra_base training.num_train_epochs\=11 training.learning_rate\=3.0e-05 training.per_device_train_batch_size\=32 +training.weight_decay\=0.1 +ue.margin\=0.1 +ue.lamb_intra\=0.01 ue.lamb\=1.0 +ue.use_paper_version\=True' task_configs=banking77.yaml output_dir=../workdir/run_train_models_electra_no_adp_BANKING/electra_metric_no_sn/banking/0.0

# amazon full
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py cuda_devices=[0] seeds=[23419,705525,4837,10671619,1084218,42] script=run_glue.py args='ue\=mc do_ue_estimate\=False ue.reg_type\=metric ue.use_selective\=False ue.calibrate\=False +ue.use_spectralnorm\=False data.validation_subsample\=0.0 training\=electra_base training.num_train_epochs\=2 training.learning_rate\=3.0e-05 training.per_device_train_batch_size\=32 +training.weight_decay\=0.1 +ue.margin\=0.1 +ue.lamb_intra\=0.01 ue.lamb\=1.0 +ue.use_paper_version\=True' task_configs=amazon_massive.yaml output_dir=../workdir/run_train_models_electra_no_adp_AMAZON/electra_metric_no_sn/amazon_massive/0.0

# amazon adapter
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py cuda_devices=[0] seeds=[23419,705525,4837,10671619,1084218,42] script=run_glue.py args='ue\=mc do_ue_estimate\=False ue.reg_type\=metric ue.use_selective\=False ue.calibrate\=False +ue.use_spectralnorm\=False data.validation_subsample\=0.0 training\=electra_base training.num_train_epochs\=15 training.learning_rate\=0.0001 training.per_device_train_batch_size\=8 +training.weight_decay\=0.1 +ue.margin\=1.0 +ue.lamb_intra\=0.003 ue.lamb\=0.008 +ue.use_paper_version\=True +adapters.name\=bottleneck_adapter +adapters.args._target_\=adapters.BnConfig +adapters.args.mh_adapter\=True +adapters.args.output_adapter\=True +adapters.args.reduction_factor\=16 +adapters.args.non_linearity\=relu' task_configs=amazon_massive.yaml output_dir=../workdir/run_train_models_electra_btlnk_AMAZON/electra_metric_no_sn/amazon_massive/0.0

# ag_news full
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py cuda_devices=[0] seeds=[23419,705525,4837,10671619,1084218,42] script=run_glue.py args='ue\=mc do_ue_estimate\=False ue.reg_type\=metric ue.use_selective\=False ue.calibrate\=False +ue.use_spectralnorm\=False data.validation_subsample\=0.0 training\=electra_base training.num_train_epochs\=11 training.learning_rate\=3.0e-05 training.per_device_train_batch_size\=32 +training.weight_decay\=0.1 +ue.margin\=0.1 +ue.lamb_intra\=0.01 ue.lamb\=1.0 +ue.use_paper_version\=True' task_configs=ag_news.yaml output_dir=../workdir/run_train_models_electra_no_adp_AGNEWS/electra_metric_no_sn/ag_news/0.0

# ag_news adapter
HYDRA_CONFIG_PATH=../configs/run_train_models.yaml python ./run_train_models.py cuda_devices=[0] seeds=[23419,705525,4837,10671619,1084218,42] script=run_glue.py args='ue\=mc do_ue_estimate\=False ue.reg_type\=metric ue.use_selective\=False ue.calibrate\=False +ue.use_spectralnorm\=False data.validation_subsample\=0.0 training\=electra_base training.num_train_epochs\=11 training.learning_rate\=1.0e-04 training.per_device_train_batch_size\=32 +training.weight_decay\=0.1 +ue.margin\=0.1 +ue.lamb_intra\=0.01 ue.lamb\=1.0 +ue.use_paper_version\=True +adapters.name\=bottleneck_adapter +adapters.args._target_\=adapters.BnConfig +adapters.args.mh_adapter\=True +adapters.args.output_adapter\=True +adapters.args.reduction_factor\=16 +adapters.args.non_linearity\=relu' task_configs=ag_news.yaml output_dir=../workdir/run_train_models_electra_btlnk_adp_AGNEWS/electra_metric_no_sn/ag_news/0.0